<template>
    <div id="add-blog">
        <h2>Add Blog</h2>
        <form action="">
            <label for="">Blog Title</label>
            <input type="text" v-model.lazy="blog.title" required>
            <label for="">Blog Content</label>
            <textarea name="" id="" cols="50" rows="20" v-model.lazy="blog.content" required></textarea> 
        <div id="checkboxes">
            <h4>Select category</h4>
            <input type="checkbox" id="1" value="Category 1" v-model="blog.categories">
            <label for="jack">Category 1</label>
            <input type="checkbox" id="2" value="Category 2" v-model="blog.categories">
            <label for="john">Category 2</label>
            <input type="checkbox" id="3" value="Category 3" v-model="blog.categories">
            <label for="mike">Category 3</label>
        </div>
        <div>
                <h4>Select author</h4>
            <label for="">Author</label>
            <select name="" id="" v-model="blog.author">
                <option value="" disabled>Select Author</option>
                <option v-for="item in authors" :key="item.id">
                    {{ item }}
                </option>
               
            </select>
        </div>
         <hr />
            <h5>Post Request</h5>
            <button v-on:click.prevent="post">Add Blog</button>
        </form>
        <div v-if="submitted" id="message_success">
            <h3>Add post success !!</h3>
        </div>
        <div id="preview">
            <h3>Preview</h3>
            <p>Blog title (Input): {{ blog.title }} </p>
            <p>Blog content (Input textarea): {{ blog.content }}</p>
            <p>Blog Categories (Checkbox): </p>
            <ul>
                <li v-for="item in blog.categories" :key="item.id">
                    {{ item }}
                </li>
            </ul>
            <p>Author (Select-Option): {{ blog.author }}</p>

        </div>
    </div>
</template>

<script>
export default {
     data() {
         return {
             blog: {
                 title: "",
                 content: "",
                 categories: [],
                 author: ""
             },
             authors: ['Author 1','Author 2','Author 3','Author 0'],
             submitted: false
         }
     } ,
     methods: {
         post: function(){
            this.$http.post('http://jsonplaceholder.typicode.com/posts', {
                title: this.blog.title,
                body: this.blog.content,
                userId: 1
            }).then(function(data){
                console.log(data);
                this.submitted = true;
            });
        }
     }

    }
</script>

<style scoped>
   
</style>